import { jsx as _jsx } from "react/jsx-runtime";
import { CircularProgress, useColorScheme } from "@mui/joy";
import { lazy, Suspense, useEffect, useState } from "react";
const CodeMirror = lazy(() => import("@uiw/react-codemirror"));
export function MergeEditor(props) {
    const { mode, systemMode } = useColorScheme();
    const [unifiedMergeView, setUnifiedMergeView] = useState(null);
    useEffect(() => {
        import("@codemirror/merge").then((cmMerge) => setUnifiedMergeView(cmMerge.unifiedMergeView));
    }, []);
    return (_jsx(Suspense, { fallback: _jsx(CircularProgress, {}), children: !unifiedMergeView ? (_jsx(CircularProgress, {})) : (_jsx(CodeMirror, { id: "editor", value: props.newContent, height: "80%", basicSetup: {
                lineNumbers: false,
                foldGutter: false,
                highlightActiveLine: false,
                syntaxHighlighting: false,
                autocompletion: false,
                highlightSelectionMatches: false,
            }, theme: mode === "system" ? systemMode : mode, extensions: [
                unifiedMergeView({
                    original: props.oldContent,
                    highlightChanges: true,
                    gutter: true,
                }),
            ] })) }));
}
