import { ReactElement, ReactNode } from "react";
export interface NavigationBarItem {
    title: string;
    selected?: boolean;
    startDecorator?: ReactNode;
    endDecorator?: ReactNode;
    to?: string;
    action?: () => void;
    children?: NavigationBarItem[];
    accessID?: string;
}
type ChipVariant = "plain" | "outlined" | "soft" | "solid";
type ChipSize = "sm" | "md" | "lg";
interface NerdNavigationBar {
    leftItems: Array<NavigationBarItem | ReactElement>;
    rightItems: Array<NavigationBarItem | ReactElement>;
    navigationBarIndex?: number;
    chipVariant?: ChipVariant;
    selectedChipVariant?: ChipVariant;
    chipSize?: ChipSize;
    disableBottomDivider?: boolean;
}
/**
 *
 * @param {NerdNavigationBar} props Props
 * @returns {ReactElement} NerdNavigationBar
 */
export default function NerdNavigationBar(props: NerdNavigationBar): ReactElement;
export {};
