import { PopperProps } from "@mui/material";
import { ReactNode } from "react";
import { Duration } from "luxon";
import { FormControlProps, FormLabelProps, InputProps, FormHelperTextProps } from "@mui/joy";
export interface NerdTimeObject {
    value: string | null;
    duration: Duration | null;
    isValid: boolean;
}
export interface NerdTimePickerProps {
    format?: "12" | "24";
    minTime?: string;
    maxTime?: string;
    sameDay?: boolean;
    onChange: (time: NerdTimeObject) => void;
    value: string | null;
    showDiff?: boolean;
    formLabelProps?: FormLabelProps;
    formControlProps?: FormControlProps;
    inputProps?: InputProps;
    helperText?: ReactNode;
    label?: ReactNode;
    openOnFocus?: boolean;
    popperProps?: Partial<PopperProps>;
    formHelperTextProps?: FormHelperTextProps;
}
/**
 *
 * @param {string} time Time
 * @param {string} format Format
 * @returns {Duration} Duration from string
 */
export declare function durationFromString(time: string, format: "12" | "24"): Duration;
/**
 *
 * @param {NerdTimePickerProps} props Props
 * @returns {ReactElement} NerdTimePicker
 */
declare const _default: import("react").ForwardRefExoticComponent<NerdTimePickerProps & import("react").RefAttributes<HTMLInputElement>>;
export default _default;
