import { jsx as _jsx } from "react/jsx-runtime";
import { Box } from "@mui/joy";
import { useMemo } from "react";
/**
 *
 * @param {object} props props
 * @param {string} props.text text
 * @returns {ReactElement} NerdWatermark
 */
export function NerdWatermark({ text }) {
    const size = useMemo(() => {
        const size = text.length * 10;
        return size >= 200 ? size : 200;
    }, [text]);
    return (_jsx(Box, { sx: {
            position: "absolute",
            top: 0,
            left: 0,
            zIndex: (t) => t.zIndex.modal * 2,
            width: "100%",
            height: "100%",
            backgroundRepeat: "repeat",
            backgroundSize: 250,
            backgroundImage: `url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="${0} ${-size / 2} ${size} ${size}" width="${size}px" height="${size}px"><text x="0" y="15" transform="rotate(-20)" fill="%23AAAAAA55" font-size="24px">${text}</text></svg>')`,
            pointerEvents: "none",
        } }));
}
