import { createSelector, createSlice } from "@reduxjs/toolkit";
const nerdDraggableDialogInitialState = {
    order: [],
};
export const nerdDraggableDialog = createSlice({
    name: "nerdDraggableDialog",
    initialState: nerdDraggableDialogInitialState,
    reducers: {
        pushNerdDraggableDialogOrder: (state, action) => {
            const index = state.order.indexOf(action.payload);
            if (index === -1)
                state.order.push(action.payload);
            else {
                state.order.splice(index, 1);
                state.order.push(action.payload);
            }
            return state;
        },
        popNerdDraggableDialogOrder: (state, action) => {
            const index = state.order.indexOf(action.payload);
            if (index !== -1) {
                state.order.splice(index, 1);
            }
            return state;
        },
    },
});
export const { pushNerdDraggableDialogOrder, popNerdDraggableDialogOrder } = nerdDraggableDialog.actions;
export const nerdDraggableDialogReducer = nerdDraggableDialog.reducer;
const selectNerdDraggableDialogIndex = (state, uuid) => state.nerdUIState.nerdDraggableDialog.order.indexOf(uuid);
export const nerdDraggableDialogIndexSelector = createSelector([selectNerdDraggableDialogIndex], (s) => {
    return s;
});
