import { PayloadAction } from "@reduxjs/toolkit";
import { AppState } from "../appState";
export interface NerdFeedbackState {
    open: boolean;
    error?: Record<string, unknown>;
}
export declare const nerdFeedbackSlice: import("@reduxjs/toolkit").Slice<NerdFeedbackState, {
    setOpenFeedbackDialog: (state: import("immer").WritableDraft<NerdFeedbackState>, action: PayloadAction<{
        open: boolean;
        error?: Record<string, unknown>;
    }>) => import("immer").WritableDraft<NerdFeedbackState>;
}, "nerdFeedback", "nerdFeedback", import("@reduxjs/toolkit").SliceSelectors<NerdFeedbackState>>;
export declare const setOpenFeedbackDialog: import("@reduxjs/toolkit").ActionCreatorWithPayload<{
    open: boolean;
    error?: Record<string, unknown>;
}, "nerdFeedback/setOpenFeedbackDialog">;
export declare const nerdFeedbackReducer: import("redux").Reducer<NerdFeedbackState>;
export declare const nerdFeedbackOpenSelector: ((state: AppState) => boolean) & {
    clearCache: () => void;
    resultsCount: () => number;
    resetResultsCount: () => void;
} & {
    resultFunc: (resultFuncArgs_0: boolean) => boolean;
    memoizedResultFunc: ((resultFuncArgs_0: boolean) => boolean) & {
        clearCache: () => void;
        resultsCount: () => number;
        resetResultsCount: () => void;
    };
    lastResult: () => boolean;
    dependencies: [(state: AppState) => boolean];
    recomputations: () => number;
    resetRecomputations: () => void;
    dependencyRecomputations: () => number;
    resetDependencyRecomputations: () => void;
} & {
    memoize: typeof import("reselect").weakMapMemoize;
    argsMemoize: typeof import("reselect").weakMapMemoize;
};
export declare const nerdFeedbackErrorSelector: ((state: AppState) => Record<string, unknown> | undefined) & {
    clearCache: () => void;
    resultsCount: () => number;
    resetResultsCount: () => void;
} & {
    resultFunc: (resultFuncArgs_0: Record<string, unknown> | undefined) => Record<string, unknown> | undefined;
    memoizedResultFunc: ((resultFuncArgs_0: Record<string, unknown> | undefined) => Record<string, unknown> | undefined) & {
        clearCache: () => void;
        resultsCount: () => number;
        resetResultsCount: () => void;
    };
    lastResult: () => Record<string, unknown> | undefined;
    dependencies: [(state: AppState) => Record<string, unknown> | undefined];
    recomputations: () => number;
    resetRecomputations: () => void;
    dependencyRecomputations: () => number;
    resetDependencyRecomputations: () => void;
} & {
    memoize: typeof import("reselect").weakMapMemoize;
    argsMemoize: typeof import("reselect").weakMapMemoize;
};
